package de.picketbox.example;

import java.io.Serializable;

import javax.enterprise.context.RequestScoped;
import javax.faces.application.FacesMessage;
import javax.faces.context.ExternalContext;
import javax.faces.context.FacesContext;
import javax.inject.Named;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;

@Named
@RequestScoped
public class LoginBean implements Serializable {

	private static final long serialVersionUID = -6308095244497641582L;
	private String user;
	private String password;
	
	public String getUser() {
		return user;
	}
	public void setUser(String user) {
		this.user = user;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	
	public String login() {
		FacesContext fc = FacesContext.getCurrentInstance();
		ExternalContext ec = fc.getExternalContext();
		HttpServletRequest hsr = (HttpServletRequest) ec.getRequest();
		
		try {
			hsr.login(user, password);			
			// at this code-place a successful login has occurred			
		}
		catch (ServletException se) {			
			// create a message to inform the user
			FacesMessage msg = new FacesMessage(FacesMessage.SEVERITY_WARN,
												"Ein falscher Profilname und " +
												"oder ein falsches Passwort " +
												"wurde eingegeben!",
												null);
			fc.addMessage(null, msg);
			return null;
		}		
		
		// for the first test simply navigate to the one existing page
		return "/start";
	}
}
